Die JRuby Entwicklung geht zügig voran. Das Hauptziel der 1.6.x Serie - der Ruby 1.9 Support - scheint fast vollständig erreicht zu sein. Laut Aussage des Entwicklerteams ist JRuby 1.6.6 das letzte Release der 1.6er-Reihe.

Ab Version 1.7 wird JRuby standardmäßig mit Ruby 1.9 ausgeführt. Also Grund genug, die Anwendungen schrittweise auf Ruby 1.9 umzustellen.
Wie sieht es bei Euch mit der Umstellung auf Ruby 1.9 aus?


Hier noch ein Tipp am Rande: Wer schon immer genauer wissen wollte, wie JRuby die Ruby Funktionalität intern umsetzt, sollte sich diesen Artikel ansehen. Journey to the center of JRuby
Beispielhaft wird die JRuby-Implementierung der String-Klasse, samt der Kompilierung der Java-Klasse gezeigt.

Update:
Laut Charles Nutter's Tweet gibt es nun doch noch ein JRuby 1.6.7.